<?php
namespace bwdwpvx_ProductVendors_namespace;

use bwdwpvx_ProductVendors_namespace\PageSettings\Page_Settings;
define( "bwdwpvx_ASFSK_ASSETS_PUBLIC_DIR_FILE", plugin_dir_url( __FILE__ ) . "assets/public" );
define( "bwdwpvx_ASFSK_ASSETS_ADMIN_DIR_FILE", plugin_dir_url( __FILE__ ) . "assets/admin" );

class Classbwdwpvx_ProductVendors {

	private static $_instance = null;

	public static function instance() {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}

	public function bwdwpvx_admin_editor_scripts() {
		add_filter( 'script_loader_tag', [ $this, 'bwdwpvx_admin_editor_scripts_as_a_module' ], 10, 2 );
	}

	public function bwdwpvx_admin_editor_scripts_as_a_module( $tag, $handle ) {
		if ( 'bwdwpvx_ProductVendors_editor' === $handle ) {
			$tag = str_replace( '<script', '<script type="module"', $tag );
		}

		return $tag;
	}

	private function include_widgets_files() {
		require_once( __DIR__ . '/widgets/bwdwpvx-woo-product-widgets.php' );
	}

	public function bwdwpvx_register_widgets() {
		// Its is now safe to include Widgets files
		$this->include_widgets_files();

		// Register WidgetsF
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\bwdwpvx_ProductVendors_widgets());

		require_once( plugin_dir_path( __FILE__ ) . 'include/bwdwpvx-functions.php' );
	}

	private function add_page_settings_controls() {
		require_once( __DIR__ . '/page-settings/bwdwpvx-woo-product-manager.php' );
		new Page_Settings();
	}

	// Register Category
	function bwdwpvx_ProductVendors_add_elementor_widget_categories( $elements_manager ) {

		$elements_manager->add_category(
			'bwdwpvx-ProductVendors-category',
			[
				'title' => esc_html__( 'WooCommerce Product Vendors', 'bwdwpvx-product-vendors' ),
				'icon' => 'eicon-person',
			]
		);
	}

	//css-js-link-here
	public function bwdwpvx_all_assets_for_the_public(){
		$all_css_file = array(
			'bwdwpvx-ProductVendors-plugin-main' => array('bwdwpvx-ProductVendors_css_path_define'=>bwdwpvx_ASFSK_ASSETS_PUBLIC_DIR_FILE . '/css/main.css'),
        );
        foreach($all_css_file as $handle => $fileinfo){
            wp_enqueue_style( $handle, $fileinfo['bwdwpvx-ProductVendors_css_path_define'], null, '1.3', 'all');
        }

	}

	//admin-icon
	public function bwdwpvx_all_assets_for_elementor_editor_admin(){
		$all_css_js_file = array(
            'bwdwpvx-ProductVendors-admin-main' => array('bwdwpvx_path_admin_define'=>bwdwpvx_ASFSK_ASSETS_ADMIN_DIR_FILE . '/css/icon.css'),
        );
        foreach($all_css_js_file as $handle => $fileinfo){
            wp_enqueue_style( $handle, $fileinfo['bwdwpvx_path_admin_define'], null, '1.3', 'all');
        }
	}

	public function __construct() {

		// For public assets
		add_action('wp_enqueue_scripts', [$this, 'bwdwpvx_all_assets_for_the_public']);

		// For Elementor Editor
		add_action('elementor/editor/before_enqueue_scripts', [$this, 'bwdwpvx_all_assets_for_elementor_editor_admin']);

		// Register Category
		add_action( 'elementor/elements/categories_registered', [ $this, 'bwdwpvx_ProductVendors_add_elementor_widget_categories' ] );

		// Register widgets
		add_action( 'elementor/widgets/widgets_registered', [ $this, 'bwdwpvx_register_widgets' ] );

		// Register editor scripts
		add_action( 'elementor/editor/after_enqueue_scripts', [ $this, 'bwdwpvx_admin_editor_scripts' ] );

		$this->add_page_settings_controls();
	}
}

// Instantiate Plugin Class
Classbwdwpvx_ProductVendors::instance();